## sortedcontainers 1.4.4

=== requirements.txt ===
Banyan==0.1.5
Cython==0.19.2
Jinja2==2.7.1
MarkupSafe==0.18
Pygments==1.6
Sphinx==1.2
appnope==0.1.0
argparse==1.1
astroid==1.3.2
backports.ssl-match-hostname==3.4.0.2
bintrees==2.0.1
blist==1.3.4
certifi==14.05.14
coverage==3.7.1
decorator==4.0.4
dict.sorted==1.0.0
docutils==0.11
gnureadline==6.3.3
ipython==4.0.0
ipython-genutils==0.1.0
logilab-common==0.63.1
matplotlib==1.3.1
nose==1.3.3
numpy==1.8.1
ordereddict==1.1
path.py==8.1.2
pexpect==4.0.1
pickleshare==0.5
pluggy==0.3.1
ptyprocess==0.5
py==1.4.30
pylint==1.4.0
pyparsing==2.0.2
pyreadline==2.0
pytest==2.6.4
python-dateutil==2.2
pytz==2014.10
rbtree==0.9.0
simplegeneric==0.8.1
six==1.7.3
skiplistcollections==0.0.6
sortedcollection==0.1.10
tornado==4.0
tox==2.1.1
traitlets==4.0.0
treap==1.35
virtualenv==13.1.2
wsgiref==0.1.2

## sortedcontainers 0.9.6

=== debian/changelog ===
sortedcontainers (0.9.6-1) unstable; urgency=low

  * Initial release (Closes: #790504)

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Jun 2015 18:06:03 -0400

=== debian/control ===
Source: sortedcontainers
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools
Standards-Version: 3.9.6
Homepage: http://www.grantjenks.com/docs/sortedcontainers/
#Vcs-Git: 
#Vcs-Browser: 

Package: python-sortedcontainers
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: sorted container types: SortedList, SortedDict, and SortedSet
 Python’s standard library is great until you need a sorted container type. Many
 will attest that you can get really far without one, but the moment you really
 need a sorted list, dict, or set, you’re faced with a dozen different
 implementations, most using C-extensions without great documentation and
 benchmarking.

Package: python3-sortedcontainers
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: sorted container types: SortedList, SortedDict, and SortedSet (Python 3)
 Python’s standard library is great until you need a sorted container type. Many
 will attest that you can get really far without one, but the moment you really
 need a sorted list, dict, or set, you’re faced with a dozen different
 implementations, most using C-extensions without great documentation and
 benchmarking.
 .
 This package contains the Python 3 version of sortedcontainers .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	python  setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-sortedcontainers
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-sortedcontainers

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/sortedcontainers/sortedcontainers-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sortedcontainers 1.4.4

=== debian/changelog ===
sortedcontainers (1.4.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - set Vcs-* fields
  * debian/watch
    - use releases on github to fetch upstream code
  * debian/copyright
    - update for new upstream code
  * debian/{control, rules}
    - run tests at build time
  * Build and install documentation

 -- Sandro Tosi <morph@debian.org>  Thu, 10 Dec 2015 17:23:38 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
-Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools
+Build-Depends: debhelper (>= 9), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-sphinx
 Standards-Version: 3.9.6
 Homepage: http://www.grantjenks.com/docs/sortedcontainers/
-#Vcs-Git: 
-#Vcs-Browser: 
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/sortedcontainers.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sortedcontainers.git
 
 Package: python-sortedcontainers
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
+Suggests: python-sortedcontainers-doc
 Description: sorted container types: SortedList, SortedDict, and SortedSet
  Python’s standard library is great until you need a sorted container type. Many
  will attest that you can get really far without one, but the moment you really
@@ -22,6 +23,7 @@
 Package: python3-sortedcontainers
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
+Suggests: python-sortedcontainers-doc
 Description: sorted container types: SortedList, SortedDict, and SortedSet (Python 3)
  Python’s standard library is great until you need a sorted container type. Many
  will attest that you can get really far without one, but the moment you really
@@ -30,3 +32,16 @@
  benchmarking.
  .
  This package contains the Python 3 version of sortedcontainers .
+
+Package: python-sortedcontainers-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: sorted container types: SortedList, SortedDict, and SortedSet (Documentation)
+ Python’s standard library is great until you need a sorted container type. Many
+ will attest that you can get really far without one, but the moment you really
+ need a sorted list, dict, or set, you’re faced with a dozen different
+ implementations, most using C-extensions without great documentation and
+ benchmarking.
+ .
+ This package contains the documentation for sortedcontainers Python module.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS := $(shell pyversions -s)
PY3VERS := $(shell py3versions -s)

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	set -e ; \
	for python in $(PY2VERS) $(PY3VERS); do \
		$$python setup.py build; \
	done
	$(MAKE) -C docs html

override_dh_auto_install:
	python  setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-sortedcontainers
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-sortedcontainers

override_dh_auto_test:
	set -e ; \
	for python in $(PY2VERS) $(PY3VERS); do \
		echo "-- running tests for "$$python" --" ; \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)") ;\
		PYTHONPATH=$(CURDIR)/$(LIB) $$python /usr/bin/nosetests tests/ ; \
	done

override_dh_installdocs:
	dh_installdocs -A README.rst
	dh_installdocs -ppython-sortedcontainers-doc docs/_build/html

## sortedcontainers 1.5.3

=== debian/changelog ===
sortedcontainers (1.5.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Oct 2016 16:16:47 -0400

sortedcontainers (1.5.3-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/control
    - use Sphinx 1.4, needed for imgmath extension
    - add texlive-latex-base to b-d, needed for imgmath extension
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2016 18:24:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
-Build-Depends: debhelper (>= 9), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-sphinx
-Standards-Version: 3.9.6
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-sphinx (>= 1.4), texlive-latex-base
+Standards-Version: 3.9.8
 Homepage: http://www.grantjenks.com/docs/sortedcontainers/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/sortedcontainers.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sortedcontainers.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sortedcontainers.git
 
 Package: python-sortedcontainers

## sortedcontainers 1.5.6

=== debian/changelog ===
sortedcontainers (1.5.6-1) unstable; urgency=medium

  * New upstream release
  * debian/python-sortedcontainers-doc.doc-base
    - add doc-base
  * declare compat level 10

 -- Sandro Tosi <morph@debian.org>  Tue, 13 Dec 2016 07:32:39 -0500

## sortedcontainers 1.5.7

=== requirements.txt ===
alabaster==0.7.8
appnope==0.1.0
astroid==1.4.5
Babel==2.3.4
backports.ssl-match-hostname==3.4.0.2
Banyan==0.1.5
bintrees==2.0.4
blist==1.3.6
certifi==14.5.14
colorama==0.3.7
coverage==3.7.1
cycler==0.10.0
Cython==0.19.2
decorator==4.0.4
dict.sorted==1.0.0
docutils==0.12
gj==0.0.4
gnureadline==6.3.3
imagesize==0.7.1
ipython==4.0.0
ipython-genutils==0.1.0
Jinja2==2.8
lazy-object-proxy==1.2.2
logilab-common==0.63.1
MarkupSafe==0.23
matplotlib==1.5.1
nose==1.3.3
numpy==1.11.0
ordereddict==1.1
path.py==8.1.2
pexpect==4.0.1
pickleshare==0.5
pluggy==0.3.1
ptyprocess==0.5
py==1.4.31
Pygments==2.1.3
pylint==1.5.5
pyparsing==2.1.1
pyreadline==2.0
pytest==2.9.1
python-dateutil==2.5.3
pytz==2016.4
rbtree==0.9.0
simplegeneric==0.8.1
six==1.10.0
skiplistcollections==0.0.6
snowballstemmer==1.2.1
sortedcollection==0.1.11
Sphinx==1.4.1
tornado==4.0
tox==2.3.1
traitlets==4.0.0
treap==1.38
virtualenv==15.0.1
wrapt==1.10.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sortedcontainers.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sortedcontainers.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sortedcontainers"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sortedcontainers"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
sortedcontainers (1.5.7-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 14:42:14 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-sphinx (>= 1.4), texlive-latex-base
+Build-Depends: debhelper (>= 10), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-sphinx (>= 1.4), texlive-latex-base
 Standards-Version: 3.9.8
 Homepage: http://www.grantjenks.com/docs/sortedcontainers/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sortedcontainers.git

## sortedcontainers 1.5.9

=== debian/changelog ===
sortedcontainers (1.5.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Sandro Tosi ]
  * New upstrem release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
    - mark all packages Multi-Arch: foreign; patch by Helmut Grohne;
      Closes: #895441
  * debian/patches/0001-dont-breach-privacy-github-stars-counter-iframe.patch
    - remove iframe showing the stars counter for this project on GitHub

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Apr 2018 23:00:27 -0400

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 10), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-sphinx (>= 1.4), texlive-latex-base
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://www.grantjenks.com/docs/sortedcontainers/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sortedcontainers.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sortedcontainers.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/sortedcontainers.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sortedcontainers
 
 Package: python-sortedcontainers
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python:Depends}, ${misc:Depends}
 Suggests: python-sortedcontainers-doc
 Description: sorted container types: SortedList, SortedDict, and SortedSet
@@ -22,6 +23,7 @@
 
 Package: python3-sortedcontainers
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python3:Depends}, ${misc:Depends}
 Suggests: python-sortedcontainers-doc
 Description: sorted container types: SortedList, SortedDict, and SortedSet (Python 3)
@@ -35,6 +37,7 @@
 
 Package: python-sortedcontainers-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: sorted container types: SortedList, SortedDict, and SortedSet (Documentation)

## sortedcontainers 2.0.4

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = SortedContainers
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sortedcontainers (2.0.4-1) unstable; urgency=medium

  * New upstrem release
  * debian/patches/0001-dont-breach-privacy-github-stars-counter-iframe.patch
    - patch dropped, no longer required
  * debian/copyright
    - update upstream copyright years notice
    - remove notice for docs/_themes/, directory removed upstream
  * debian/patches/0001-privacy-breach.patch
    - more privacy breaches to fix
  * debian/control
    - add pytest to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jun 2018 22:09:30 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-sphinx (>= 1.4), texlive-latex-base
+Build-Depends: debhelper (>= 10), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-sphinx (>= 1.4), texlive-latex-base, python-pytest, python3-pytest
 Standards-Version: 4.1.4
 Homepage: http://www.grantjenks.com/docs/sortedcontainers/
 Vcs-Git: https://salsa.debian.org/python-team/modules/sortedcontainers.git

=== debian/watch ===
version=3
https://github.com/grantjenks/sorted_containers/releases (?:.*/)?v?(.*)\.tar\.gz

## sortedcontainers 2.1.0

=== debian/changelog ===
sortedcontainers (2.1.0-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #938515

 -- Sandro Tosi <morph@debian.org>  Mon, 23 Dec 2019 12:40:04 -0500

sortedcontainers (2.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Refresh the patch.
  * New maintainer/uploader (Closes: #888218).
  * Use debhelper-compat 12.
  * Switch to pybuild.
  * Wrap and sort debian/control.
  * Use ${python:Provides} in the Python 2 package.
  * Add Built-Using for the Sphinx documentation package.
  * Use Python 3 Sphinx.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 25 Jun 2019 10:36:19 -0500

=== debian/control ===
Source: sortedcontainers
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-nose,
 python3-pytest,
 python3-setuptools,
 python3-sphinx (>= 1.4),
 texlive-latex-base
Standards-Version: 4.1.4
Homepage: http://www.grantjenks.com/docs/sortedcontainers/
Vcs-Git: https://salsa.debian.org/python-team/modules/sortedcontainers.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sortedcontainers

Package: python3-sortedcontainers
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends}
Suggests: python-sortedcontainers-doc
Description: sorted container types: SortedList, SortedDict, and SortedSet (Python 3)
 Python’s standard library is great until you need a sorted container type. Many
 will attest that you can get really far without one, but the moment you really
 need a sorted list, dict, or set, you’re faced with a dozen different
 implementations, most using C-extensions without great documentation and
 benchmarking.
 .
 This package contains the Python 3 version of sortedcontainers.

Package: python-sortedcontainers-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: sorted container types: SortedList, SortedDict, and SortedSet (documentation)
 Python’s standard library is great until you need a sorted container type. Many
 will attest that you can get really far without one, but the moment you really
 need a sorted list, dict, or set, you’re faced with a dozen different
 implementations, most using C-extensions without great documentation and
 benchmarking.
 .
 This package contains the documentation for sortedcontainers Python module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sortedcontainers

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html

## sortedcontainers 2.4.0

=== requirements.txt ===
bintrees
blist
coverage
cython
doc8
gj
matplotlib
pyannote-banyan
pylint
pytest
pytest-cov
rstcheck
scipy
skiplistcollections
sphinx
tox
treap
twine
wheel

=== debian/changelog ===
sortedcontainers (2.4.0-2) unstable; urgency=medium

  * Drop unnecessary nose dependency, since tests use pytest.
  * Support nodoc build profile.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 23 Aug 2022 13:25:04 +0200

sortedcontainers (2.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Boyuan Yang ]
  * New upstream version 2.4.0.
  * Rebuild to drop ancient sphinx in Built-Using field.
  * debian/: Apply wrap-and-sort -abst.
  * debian/watch: Update to v4 format.
  * debian/copyright: Update information.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Bump debhelper compat to v13.
  * debian/rules: Use dh13 syntax.
  * debian/python-sortedcontainers-doc.doc-base: Fix path.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jun 2022 21:14:23 -0400

=== debian/control ===
Source: sortedcontainers
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-sphinx (>= 1.4) <!nodoc>,
 texlive-latex-base <!nodoc>,
Standards-Version: 4.6.1
Homepage: http://www.grantjenks.com/docs/sortedcontainers/
Vcs-Git: https://salsa.debian.org/python-team/packages/sortedcontainers.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sortedcontainers

Package: python-sortedcontainers-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: sorted container types: SortedList, SortedDict, and SortedSet (documentation)
 Python’s standard library is great until you need a sorted container type. Many
 will attest that you can get really far without one, but the moment you really
 need a sorted list, dict, or set, you’re faced with a dozen different
 implementations, most using C-extensions without great documentation and
 benchmarking.
 .
 This package contains the documentation for sortedcontainers Python module.

Package: python3-sortedcontainers
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-sortedcontainers-doc,
Description: sorted container types: SortedList, SortedDict, and SortedSet (Python 3)
 Python’s standard library is great until you need a sorted container type. Many
 will attest that you can get really far without one, but the moment you really
 need a sorted list, dict, or set, you’re faced with a dozen different
 implementations, most using C-extensions without great documentation and
 benchmarking.
 .
 This package contains the Python 3 version of sortedcontainers.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sortedcontainers

%:
	dh $@ $(WITH_SPHINXDOC) --buildsystem=pybuild

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
WITH_SPHINXDOC=--with sphinxdoc

execute_after_dh_auto_build:
	$(MAKE) -C docs html
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/grantjenks/sorted_containers/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
